## org.apache.fop.configuration
Class Configuration

    java.lang.Object
      |
      +--org.apache.fop.configuration.Configuration

public class Configuration
extends java.lang.Object

a configuration class for all general configuration aspects except those related to specific renderers. All configuration is stored in key / value pairs. The value can be a String, a list of Strings or a map, containing a list of key / value pairs.

Field Summary
`static int` `AWT`
`static int` `PDF`
`static int` `STANDARD` defines role types

Constructor Summary
`Configuration()`

Method Summary
`static void` `dumpConfiguration()` debug methods, which writes out all information in this configuration
`static java.lang.Boolean` `getBooleanValue(java.lang.String key)` convenience methods to access boolean values in the configuration
`static java.lang.Boolean` `getBooleanValue(java.lang.String key, int role)` convenience methods to access boolean values in the configuration
`static java.util.Hashtable` `getConfiguration()`
`static java.util.Hashtable` `getHashtableValue(java.lang.String key)` convenience methods to access map/hashtable values in the standard configuration
`static java.util.Hashtable` `getHashtableValue(java.lang.String key, int role)` convenience methods to access map/hashtable values in the configuration
`static int` `getIntValue(java.lang.String key)` convenience methods to access int values in the standard configuration
`static int` `getIntValue(java.lang.String key, int role)` convenience methods to access int values in the configuration
`static java.util.Vector` `getListValue(java.lang.String key)` convenience methods to access list values in the standard configuration
`static java.util.Vector` `getListValue(java.lang.String key, int role)` convenience methods to access list values in the configuration
`static java.lang.String` `getStringValue(java.lang.String key)` convenience methods to access strings values in the standard configuration
`static java.lang.String` `getStringValue(java.lang.String key, int role)` convenience methods to access strings values in the configuration
`static java.lang.Object` `getValue(java.lang.String key)` convenience method which retrieves some configuration information from the standard configuration
`static java.lang.Object` `getValue(java.lang.String key, int role)` general access method
`static void` `put(java.lang.String key, java.lang.Object value)` adds information to the standard configuration map/hashtable in key,value form
`static void` `put(java.lang.String key, java.lang.Object value, int role)` adds information to the configuration map/hashtable in key,value form
`static void` `setup(int role, java.util.Hashtable config)` initializes this configuration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STANDARD

    public static final int STANDARD

  defines role types

### PDF

    public static final int PDF

### AWT

    public static final int AWT

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### getConfiguration

    public static java.util.Hashtable getConfiguration()

### getValue

    public static java.lang.Object getValue(java.lang.String key,
                                            int role)

  general access method
  Parameters:
    `key` - a string containing the key value for the configuration value role detemines the configuration target
  Returns:
    Object containing the value; normally you would use one of the convenience methods, which return the correct form. null if the key is not defined.

### getStringValue

    public static java.lang.String getStringValue(java.lang.String key,
                                                  int role)

  convenience methods to access strings values in the configuration
  Parameters:
    `key` - a string containing the key value for the configuration value role detemines the configuration target
  Returns:
    String a string containing the value null if the key is not defined.

### getIntValue

    public static int getIntValue(java.lang.String key,
                                  int role)

  convenience methods to access int values in the configuration
  Parameters:
    `key` - a string containing the key value for the configuration value role detemines the configuration target
  Returns:
    int a int containing the value -1 if the key is not defined.

### getBooleanValue

    public static java.lang.Boolean getBooleanValue(java.lang.String key,
                                                    int role)

  convenience methods to access boolean values in the configuration
  Parameters:
    `key` - a string containing the key value for the configuration value role detemines the configuration target
  Returns:
    boolean true or false as value -1 if the key is not defined.

### getListValue

    public static java.util.Vector getListValue(java.lang.String key,
                                                int role)

  convenience methods to access list values in the configuration
  Parameters:
    `key` - a string containing the key value for the configuration value role detemines the configuration target
  Returns:
    Vector a Vector containing the values null if the key is not defined.

### getHashtableValue

    public static java.util.Hashtable getHashtableValue(java.lang.String key,
                                                        int role)

  convenience methods to access map/hashtable values in the configuration
  Parameters:
    `key` - a string containing the key value for the configuration value role detemines the configuration target
  Returns:
    Hashtable a Hashtable containing the values null if the key is not defined.

### getValue

    public static java.lang.Object getValue(java.lang.String key)

  convenience method which retrieves some configuration information from the standard configuration
  Parameters:
    `key` - a string containing the key value for the configuration value
  Returns:
    Object containing the value; normally you would use one of the convenience methods, which return the correct form. null if the key is not defined.

### getStringValue

    public static java.lang.String getStringValue(java.lang.String key)

  convenience methods to access strings values in the standard configuration
  Parameters:
    `key` - a string containing the key value for the configuration value
  Returns:
    String a string containing the value null if the key is not defined.

### getIntValue

    public static int getIntValue(java.lang.String key)

  convenience methods to access int values in the standard configuration
  Parameters:
    `key` - a string containing the key value for the configuration value
  Returns:
    int a int containing the value -1 if the key is not defined.

### getBooleanValue

    public static java.lang.Boolean getBooleanValue(java.lang.String key)

  convenience methods to access boolean values in the configuration
  Parameters:
    `key` - a string containing the key value for the configuration value
  Returns:
    boolean true or false as value -1 if the key is not defined.

### getListValue

    public static java.util.Vector getListValue(java.lang.String key)

  convenience methods to access list values in the standard configuration
  Parameters:
    `key` - a string containing the key value for the configuration value
  Returns:
    Vector a Vector containing the values null if the key is not defined.

### getHashtableValue

    public static java.util.Hashtable getHashtableValue(java.lang.String key)

  convenience methods to access map/hashtable values in the standard configuration
  Parameters:
    `key` - a string containing the key value for the configuration value
  Returns:
    Hashtable a Hashtable containing the values null if the key is not defined.

### setup

    public static void setup(int role,
                             java.util.Hashtable config)

  initializes this configuration
  Parameters:
    `config` - contains the configuration information

### put

    public static void put(java.lang.String key,
                           java.lang.Object value,
                           int role)

  adds information to the configuration map/hashtable in key,value form
  Parameters:
    `key` - a string containing the key value for the configuration value value the configuration information role detemines the configuration target
    `value` - an Object containing the value; can be a String, a Vector or a Hashtable

### put

    public static void put(java.lang.String key,
                           java.lang.Object value)

  adds information to the standard configuration map/hashtable in key,value form
  Parameters:
    `key` - a string containing the key value for the configuration value value the configuration information role detemines the configuration target
    `value` - an Object containing the value; can be a String, a Vector or a Hashtable

### dumpConfiguration

    public static void dumpConfiguration()

  debug methods, which writes out all information in this configuration

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.